package com.backendsys.modules.upload.dao;

import com.backendsys.modules.upload.entity.SysFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface SysFileDao extends BaseMapper<SysFile> {

    // 获取文件列表 (简单查询)
    List<Map<String, Object>> selectUploadFileSimple(SysFile sysFile);

    // 获取文件列表
    List<SysFile> selectUploadFileList(SysFile sysFile);

    // 更新文件
    void updateFile(SysFile sysFile);

    // 更新合并分块记录
    void updateCompleteFile(SysFile sysFile);

}
